Exp Builder 1.8 client error with HappyPlugin path

814
3
Jump to solution
04-19-2022 09:33 AM
PeterK
by
New Contributor

After installing Node.js version 16.14.2 and Exp Builder 1.8 on Windows 10 I receive the following error when running npm start.  I'm not sure if there is an NPM problem or an environment path issue:


> exb-client@1.8.0 start
> cross-env NODE_ENV=development webpack --mode development --watch

[webpack-cli] Failed to load 'E:\AGEB\client\webpack.config.js' config
[webpack-cli] AssertionError [ERR_ASSERTION]: You must pass a path to a transformer module in the @transformer config parameter.
at new HappyPlugin (E:\AGEB\client\node_modules\happypack\lib\HappyPlugin.js:21:3)
at Object.exports.getCommon (E:\AGEB\client\webpack\webpack.common.js:110:24)
at Object.<anonymous> (E:\AGEB\client\webpack\webpack-extensions.common.js:13:51)
at Module._compile (node:internal/modules/cjs/loader:1103:14)
at Object.Module._extensions..js (node:internal/modules/cjs/loader:1157:10)
at Module.load (node:internal/modules/cjs/loader:981:32)
at Function.Module._load (node:internal/modules/cjs/loader:822:12)
at Module.require (node:internal/modules/cjs/loader:1005:19)
at require (node:internal/modules/cjs/helpers:102:18)
at Object.<anonymous> (E:\AGEB\client\webpack\webpack-extensions.config.js:4:26) {
generatedMessage: false,
code: 'ERR_ASSERTION',
actual: undefined,
expected: true,
operator: '=='
}

 

0 Kudos
1 Solution

Accepted Solutions
PeterK
by
New Contributor

The problem was because I ran 'npm audit fix' after running the install for Exp Builder to correct the high and critical issues that the install reported.  Do not use 'npm audit fix' after installing, although I'm not sure what my IT folks will think about that considering there are 4 high and 1 critical vulnerabilities in the package.  Having not used npm before this, I'm not sure if this is normal.  Thanks for the help.

View solution in original post

0 Kudos
3 Replies
TonghuiMing
Esri Regular Contributor

Hi @PeterK - we gave it a try and node version 16.14.2 works for dev 1.8 on our Windows 10 system. Thus, it is quite difficult to reproduce or locate the issue.

Is it possible to provide more information about the environment as possible, e.g. browser, browser versions, OS versions, or anything else that could affect this? Or maybe you could try clearing the cache, restart from the beginning from npm ci > npm start, and see if the problem occurs.

0 Kudos
PeterK
by
New Contributor

The problem was because I ran 'npm audit fix' after running the install for Exp Builder to correct the high and critical issues that the install reported.  Do not use 'npm audit fix' after installing, although I'm not sure what my IT folks will think about that considering there are 4 high and 1 critical vulnerabilities in the package.  Having not used npm before this, I'm not sure if this is normal.  Thanks for the help.

0 Kudos
TonghuiMing
Esri Regular Contributor

You may want to refer to https://community.esri.com/t5/arcgis-experience-builder-blog/version-1-8-of-experience-builder-devel... for further debugging details. Hope they could be helpful.

0 Kudos